Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590312 - [abrt] crash in gwibber-1:1.2.0-3.349bzr.fc12: memory:0x7faa6c080a90:34:msgstyle:AttributeError: Message instance has no attribute 'color'
[abrt] crash in gwibber-1:1.2.0-3.349bzr.fc12: memory:0x7faa6c080a90:34:msgst...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:db0279f5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 15:19 EDT by Răzvan Sandu
Modified: 2010-08-19 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: gwibber-2.31.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:55:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.85 KB, text/plain)
2010-05-08 15:19 EDT, Răzvan Sandu
no flags Details

  None (edit)
Description Răzvan Sandu 2010-05-08 15:19:20 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gwibber
component: gwibber
executable: /usr/bin/gwibber
kernel: 2.6.32.11-99.fc12.x86_64
package: gwibber-1:1.2.0-3.349bzr.fc12
reason: memory:0x7faa6c080a90:34:msgstyle:AttributeError: Message instance has no attribute 'color'
release: Fedora release 12 (Constantine)
How to reproduce: 1

backtrace
-----
memory:0x7faa6c080a90:34:msgstyle:AttributeError: Message instance has no attribute 'color'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gwibber/client.py", line 1118, in update_view_contents
    view.load_messages()
  File "/usr/lib/python2.6/site-packages/gwibber/gwui.py", line 98, in load_messages
    _=_)
  File "/usr/lib/python2.6/site-packages/mako/template.py", line 133, in render
    return runtime._render(self, self.callable_, args, data)
  File "/usr/lib/python2.6/site-packages/mako/runtime.py", line 347, in _render
    _render_context(template, callable_, context, *args, **_kwargs_for_callable(callable_, data))
  File "/usr/lib/python2.6/site-packages/mako/runtime.py", line 364, in _render_context
    _exec_template(inherit, lclcontext, args=args, kwargs=kwargs)
  File "/usr/lib/python2.6/site-packages/mako/runtime.py", line 397, in _exec_template
    callable_(context, *args, **kwargs)
  File "memory:0x7faa6c080a90", line 78, in render_body
  File "/usr/lib/python2.6/site-packages/mako/runtime.py", line 255, in <lambda>
    return lambda *args, **kwargs:callable_(self.context, *args, **kwargs)
  File "base_mako", line 615, in render_messages
  File "/usr/lib/python2.6/site-packages/mako/runtime.py", line 255, in <lambda>
    return lambda *args, **kwargs:callable_(self.context, *args, **kwargs)
  File "base_mako", line 268, in render_message
  File "base_mako", line 232, in messagebox
  File "base_mako", line 337, in render_messagebox
  File "memory:0x7faa6c080a90", line 34, in msgstyle
AttributeError: Message instance has no attribute 'color'

Local variables in innermost frame:
context: <mako.runtime.Context object at 0x7faa6c093bd0>
data: <gwibber.microblog.twitter.Message instance at 0x7faa6009bf38>
__M_writer: <built-in method write of cStringIO.StringO object at 0x7faa60095ed8>
hasattr: <built-in function hasattr>
Comment 1 Răzvan Sandu 2010-05-08 15:19:23 EDT
Created attachment 412559 [details]
File: backtrace
Comment 2 Tom "spot" Callaway 2010-05-08 17:56:53 EDT
Please try the latest version of gwibber in updates-testing, as it should not have this problem.
Comment 3 Fedora Update System 2010-07-26 15:21:45 EDT
gwibber-2.31.2-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12
Comment 4 Fedora Update System 2010-07-26 15:29:29 EDT
gwibber-2.31.2-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13
Comment 5 Fedora Update System 2010-07-26 22:25:44 EDT
gwibber-2.31.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13
Comment 6 Fedora Update System 2010-07-26 22:30:40 EDT
gwibber-2.31.2-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12
Comment 7 Fedora Update System 2010-08-09 16:26:30 EDT
gwibber-2.31.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12
Comment 8 Fedora Update System 2010-08-09 16:31:24 EDT
gwibber-2.31.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13
Comment 9 Fedora Update System 2010-08-10 17:28:26 EDT
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12
Comment 10 Fedora Update System 2010-08-10 17:33:54 EDT
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13
Comment 11 Fedora Update System 2010-08-19 21:50:57 EDT
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-08-19 22:05:33 EDT
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.